Subject: Re: Problem with TCL/TK 8.0 and GNU-WIN32 B19 / EGCS-1.0.2
From: [email-masked]

24 Mar 1998 01:47:12 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset=cp437
Content-Transfer-Encoding: 8bit
To: [email-masked]

>   Utilisateur genesis ([email-masked])
>   Thu, 19 Mar 1998 18:07:48 +0100
>I had an application compile with B18 GNU-WIN32. This application called TCL 7.
>6 and TK 4.2 function librarie.
>
>I've install B19 cdk (to use TCL/TK 8.0) and egcs-1.0.2 pre-release (to use gcc
> and g77). I've compile all my C and Fortran sources.
>No problem with compil and link of my application, but when I run my executable
> it blocks on Tk_MapWindow instruction.
>
>I think there are a problem with TCL/TK on B19 because I can't run cygtclsh80.e
>xe. I have a message "cygtclsh80.exe is not a valide Windows NT application".
>
>Do you have any suggestion about it ?

You can not have compiled tcl/tk under gcc, because there are constructs
that gcc does not handle, and definitions from Microsoft's <Win32/winbase.h>
and <Win32/winnt.h> that do not appear in the GNU <windows32/*.h> files and
that appear in tcl/tk.

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".